port: 2424
admin_port: 2525
log:
  level: "info"
rate_limiter:
  enabled: true
  num_requests: 100
request_limits:
  allow_setting_keys: false
  max_size_bytes: 10240 # 10K
  max_num_values: 10
  max_ttl_seconds: 3600
request_logging:
  referer_sampling_rate: 0.0
backend:
  type: "redis"
  redis:
    host: "127.0.0.1"
    port: 6379
    db: 1
    password: ""
  db: 1
#   expiration: 10   # in Minutes
#   tls:
#     enabled: false
#     insecure_skip_verify: false
# ignite:
#   scheme: "http"
#   host: "127.0.0.1"
#   port: 8080
#   secure: false
#   headers: !!omap
#     - Content-Length: 0
#   cache:
#     name: "cacheName"
#     create_on_start: false
compression:
  type: "snappy" # Can also be "none"
metrics:
  type: "none"   # Can also be "influx"
  influx:
    host: "http://influx.prebid.com"
    database: "some-database"
    username: "influx-username"
    password: "influx-password"
routes:
  allow_public_write: true
